package storage.reporting;

/**
 * A class for demonstrating the overall application.
 * @author mzi13
 *
 */
public class Main {

	/**
	 * A demonstration of what the report classes can do.
	 * @param args Not used.
	 */
	public static void main(String[] args) 
	{
		Report report = new ActivityReport();	// should be able to change to other report types.
		ReportGUI gui = new ReportGUI();	// Create the gui object.
		gui.setReport(report);
		gui.showWizard();
		gui.showChart();
		
		report.accept(new TextReportExporter()); // demonstrate exporting to a text file
	}
}