package storage.reporting;

/**
 * A class for exporting reports. Should implement the Visitor pattern.
 * @author       mzi13
 * @uml.dependency   supplier="storage.reporting.Report"
 */
public abstract class ReportExporter {
	/**
	 * Accept a report to export.
	 * @param r The report to export.
	 */
	public abstract void visit(Report r);
}
